Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> HappyMall Command Execution


Vulnerability Assessment Details

HappyMall Command Execution

Vulnerability Assessment Summary
Checks for HappyMall

Detailed Explanation for this Vulnerability Assessment

The remote host is running the HappyMall E-Commerce CGI suite.

There is a flaw in this suite which permits a possible hacker to execute
arbitrary commands with the rights of the HTTP daemon (typically
root or nobody), by making a request like :
/shop/normal_html.cgi?file=|id|


Solution : Upgrade to the newest version of this CGI
Network Security Threat Level: High

Networks Security ID: 7529, 7530

Vulnerability Assessment Copyright: This script is Copyright (C) 2003 Renaud Deraison

Cables, Connectors

Two IPitomy IP290-P 2-Line HD w. Wall Mount - VoIP Phone NEW -
$140.0
Two IPitomy IP290-P 2-Line HD w. Wall Mount - VoIP Phone NEW -  pictureOOMA Telo VOIP Voice Over Internet System Home Computer Telephone
$55.0
OOMA Telo VOIP Voice Over Internet System Home Computer Telephone picture*LOT OF 5* Cisco CP-7965G Unified VoIP Business Office Phone Color LCD Display
$149.99
*LOT OF 5* Cisco CP-7965G Unified VoIP Business Office Phone Color LCD Display pictureCisco 34-1977-03 48V .28A AC Adapter for VoIP Phone 7960 7940 7912 PSA18U-480C
$6.0
Cisco 34-1977-03 48V .28A AC Adapter for VoIP Phone 7960 7940 7912 PSA18U-480C picture


Discussions

No Discussions have been posted on this vulnerability.